display: ":0"
xauthority: "~/.Xauthority"

enabled: true

system: SW-infrastructure
subsystem: ska-tmc-dishleafnode
telescope: SKA-mid
legacy_compatibility: true

labels:
  app: ska-tmc-dishleafnode

global:
  minikube: true
  tango_host: databaseds-tango-base-test:10000
  domain: mid-tmc
  domain_dish: mid-dish
  retry:
  - "--tries=10"
  - "--sleep=5"
  dish_devices:
    - "dishleafnode"
  dishes: ["01", "02"]

dsconfig:
  configuration_file: data/configuration.json
  timeout: 300s
  image:
      registry: artefact.skao.int
      image: ska-tango-images-tango-dsconfig
      tag: 1.5.5
      pullPolicy: IfNotPresent

itango:
  image:
    registry: artefact.skao.int
    image: ska-tango-images-tango-itango
    tag: 9.3.9
    pullPolicy: IfNotPresent

dishleafnode:
  image:
    registry: artefact.skao.int
    image: ska-tmc-dishleafnode
    tag: 0.20.0
    pullPolicy: IfNotPresent

resources:
  requests:
    cpu: 1000m
    memory: 500Mi

deviceServers:
  mocks:
    enabled: true
    instances: ["01", "02"]
    file: "data/mockdevices.yaml"
    family: "dish-manager"
  dishln:
    enabled: true
    instances: ["01", "02"]
    family: "leaf-node-dish"
    prefix_member : "ska"
    pointing_family : "dish-pointing"
    MaxTrackTableRetry: 3
    TrackTableRetryDuration: 0.2
    file: "data/dishleafnode.yaml"
    IsDishAbortCommandsEnabled: False
    LivelinessCheckPeriod: 1.0
    EventSubscriptionCheckPeriod: 1.0
    CommandTimeOut: 30.0
    AdapterTimeOut: 2.0
    DishAvailabilityCheckTimeout: 3
  sdpqc:
    enabled: true
    instances: ["01"]
    file: "data/sdpqcmockdevice.yaml"
  dishpointingdevice:
    enabled: true
    instances: ["01", "02"]
    TrackTableUpdateRate: 50
    TrackTableInAdvance: 6
    TrackTableEntries: 50
    PointingCalculationPeriod: 50
    TrackTableInAdvance: 7
    Elevation: 30.0
    Azimuth: 0.0
    ElevationMaxLimit: 90.0
    ElevationMinLimit: 15.0
    AzimuthMinLimit: -270.0
    AzimuthMaxLimit: 270.0

    file: "data/dishpointingdevice.yaml"


nodeSelector: {}

affinity: {}

tolerations: []
